Name:       appcore-widget
Summary:    Widget Application
Version:    1.3.5
Release:    1
Group:      Application Framework/Libraries
License:    Apache-2.0
Source0:    appcore-widget-%{version}.tar.gz
BuildRequires:  pkgconfig(aul)
BuildRequires:  pkgconfig(dlog)
BuildRequires:  pkgconfig(elementary)
BuildRequires:  pkgconfig(appcore-common)
BuildRequires:  pkgconfig(capi-appfw-app-common)
BuildRequires:  pkgconfig(widget_service)
BuildRequires:  pkgconfig(capi-system-info)
BuildRequires:  pkgconfig(ecore-wl2)
BuildRequires:  pkgconfig(appcore-multiwindow)
BuildRequires:  pkgconfig(screen_connector_provider)
BuildRequires:  cmake

%description
Widget base

%package -n appcore-widget-base
Summary:    Widget base
Group:      Development/Libraries
Requires(post): /sbin/ldconfig
%description -n appcore-widget-base
Requires(postun): /sbin/ldconfig

%description
Widget base devel

%package -n appcore-widget-base-devel
Summary:    Widget base
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
%description -n appcore-widget-base-devel
widget application (development files)

%description
Widget application devel

%package -n capi-appfw-widget-application-devel
Summary:    Widget application
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
%description -n capi-appfw-widget-application-devel
widget application (development files)

%prep
%setup -q

%build
export CFLAGS+=" -DEFL_BETA_API_SUPPORT "
MAJORVER=`echo %{version} | awk 'BEGIN {FS="."}{print $1}'`
%cmake . -DFULLVER=%{version} -DMAJORVER=${MAJORVER}
%__make %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}
%make_install

mkdir -p %{buildroot}%{_libdir}/pkgconfig
cp capi-appfw-widget-application.pc %{buildroot}%{_libdir}/pkgconfig

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n appcore-widget-base
%manifest %{name}.manifest
%defattr(-,root,root,-)
%{_libdir}/libappcore-widget-base.so.*
%license LICENSE

%files -n appcore-widget-base-devel
/usr/include/appfw/widget_base.h
%{_libdir}/pkgconfig/appcore-widget-base.pc
%{_libdir}/libappcore-widget-base.so


%files -n appcore-widget
%manifest %{name}.manifest
%defattr(-,root,root,-)
%{_libdir}/libcapi-appfw-widget-application.so.*
%license LICENSE

%files -n capi-appfw-widget-application-devel
/usr/include/appfw/widget_app.h
/usr/include/appfw/widget_app_efl.h
/usr/include/appfw/widget_app_internal.h
%{_libdir}/pkgconfig/capi-appfw-widget-application.pc
%{_libdir}/libcapi-appfw-widget-application.so

